/* ====== CSS Reset ====== */
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* ====== Base Styles ====== */

html, body {
  height: 100%;
  font-family: var(--font-family-main), sans-serif;
  background-color: var(--color-secondary);
  color: var(--color-text);
  line-height: 1.6;
  font-size: clamp(15px, 1.5vw, 16px);
  
  
}


/* ====== Links ====== */

a {
  color:inherit;
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}


/* ====== Font family ===== */

.font-family-main{
  font-family: var(--font-family-main);
}

.font-family-logo{
  font-family: var(--font-family-logo);
}

.font-family-header{
  font-family: var(--font-family-header);
}

.font-family-title{
  font-family: var(--font-family-title);
} 

.font-bolder{
  font-weight: bolder;
}


/* ====== Font colors ===== */

.font-color-light {
  color: var(--color-text-light);
}

.font-color-dark {
  color: var(--color-text-dark);
}

.font-color-highlight {
  color: var(--color-highlight);
}

.font-color-specific-logo {
  color: var(--color-logo-text);
}

.font-color-title{
  color: var(--color-logo-text);
}

/* ====== Font sizes ===== */

.font-0075{
  font-size: 0.75rem;
}
.font-0100{
  font-size: 1rem;
}

.font-0125{
  font-size: 1.25rem;
}

.font-0150{
  font-size: 1.5rem;
}

.font-0175{
  font-size: 1.75rem;
}

.font-0200{
  font-size: 2rem;
}

.font-0250{
  font-size: 2.5rem;
}



.font-0400{
  font-size: 4rem;
}

@media (min-width: 460px) AND (max-width: 767px) {
  .tablet-font-0075{
    font-size: 0.75rem;
  }
  .tablet-font-0100{
    font-size: 1rem;
  }
  
  .tablet-font-0125{
    font-size: 1.25rem;
  }
  
  .tablet-font-0150{
    font-size: 1.5rem;
  }
  
  .tablet-font-0175{
    font-size: 1.75rem;
  }
  
  .tablet-font-0200{
    font-size: 2rem;
  }
  
  .tablet-font-0250{
    font-size: 2.5rem;
  }
  
  
  
  .tablet-font-0400{
    font-size: 4rem;
  }

}

@media (max-width: 460px) {
  .mobile-font-0075{
    font-size: 0.75rem;
  }
  .mobile-font-0100{
    font-size: 1rem;
  }
  
  .mobile-font-0125{
    font-size: 1.25rem;
  }
  
  .mobile-font-0150{
    font-size: 1.5rem;
  }
  
  .mobile-font-0175{
    font-size: 1.75rem;
  }
  
  .mobile-font-0200{
    font-size: 2rem;
  }
  
  .mobile-font-0250{
    font-size: 2.5rem;
  }
  
  
  
  .mobile-font-0400{
    font-size: 4rem;
  }

}


/* ====== Utility Classes ====== */

.hidden {
  display: none !important;
}
.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* ===== Backgrounds ===== */

.dark-background {
    background-color: var(--color-primary);
    color: var(--color-text-light);
}

.light-background {
  background-color: var(--color-secondary);
  color: var(--color-text-dark);
}

.highlight-background {
  background-color: var(--color-highlight);
  color: var(--color-primary);
}

/* ===== font awesome modification ===== */

i.outlined{
  -webkit-text-stroke: 1px var(--color-primary);
}


/* ===== aligns, sizes  ===== */

.width100withpadding{
  width: 100%;
  padding: 0.5rem;
}

.width70{
  width: 70%;

}

.height100{
  height: 100%;
}

.marginBottom1rem{
  margin-bottom: 1rem;
}

.marginTop2rem{
  margin-top: 2rem;
}

.marginLeft1rem{
  margin-left: 1rem;
}

.paddingBottom2rem{
  padding-bottom: 2rem;
}

.mainPanelSize{
  width: 100%;
  min-height: 400px;

  margin-top: 2rem;
  padding: 2rem 1rem 2rem 1rem;
}

.centerText{
  text-align: center;
}

.positionStickyTop{
  position: sticky;
  top: 1rem;
}

@media (min-width: 460px) AND (max-width: 767px) {
  
  .mainPanelSize{
 
    margin-top: 1rem;
    
  }
}

@media (max-width: 460px) {
  .mobile-width100withpadding{
    width: 100%;
    padding: 1.5rem;
  }

  .mainPanelSize{
 
    margin-top: 1rem;
    
  }
}


/* ===== Forms ===== */

.formContainer{
  width: clamp(400px, 80%, 100%);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  gap: 2rem;
}

.formRow{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2rem;
  width: 100%;
}

.formItem{
  width: 45%;
  display: flex;
  flex-direction: column;
  justify-content: left;
  align-items: center;
  gap: 0.1rem;
}

.formItem > div{
  width: 100%;
}

.formItem > .formItemLabel{
  text-align: left;
}

.formItem input, .formItem select{
  height: 2rem;
  width: 100%;
  border: 0px solid black;
  border-radius: 3px;
}

.formItem textarea{
  width: 100%;
  height: 200px;
  border: 0px solid black;
  border-radius: 3px;
  resize: none;
}

.formItem.fullWidth{
  width: calc(90% + 2rem);
}

.formItemElementCheckbox{
  display:flex;
  justify-content: left;
  align-items: center;
  gap: .5rem;
  margin-top: -2rem;
}

.formItemElementCheckbox input[type="checkbox"] {
  width: 1rem;
  border: 0px solid black;
  border-radius: 3px
  
}
@media (min-width: 460px) AND (max-width: 767px) {
  

}

@media (max-width: 460px) {
  .formRow{
    flex-direction: column;
    gap: 1rem;
  }

  .formItem{
    width: 90%;
    
  }

  .formItem.fullWidth{
    width: 90%;
  }

  .formContainer{
    
    gap: 1rem;
  }

  .formItemElementCheckbox{
    margin-top: -1rem;
  }
  
}

/* ===== FOOTER ===== */

footer{
  margin-top: 12rem;
  width: 100%;
  min-height: 200px;
}

